Skip to:
Content
Pages
Categories
Search
Top
Bottom

Update Problems, Please help.

  • Avatar of yatong
    yatong
    Participant

    @yatong

    I updated my buddypress versions and this is the problem I received:

    Warning: call_user_func_array() [function.call-user-func-array]: First argument is expected to be a valid callback, ‘BPMediaFilters::adminbar_settings_menu’ was given in /home/wabasane/public_html/wp-includes/plugin.php on line 406

    Wordpress Version 3.5.1
    Bpress Version 1.6.4

    My website is http://www.wabasanet.com
    Thanks

Viewing 6 replies - 1 through 6 (of 6 total)
  • Avatar of @mercime
    @mercime
    Keymaster

    @mercime

    @yatong The issue is related to your BuddyPress Media plugin. I just checked out your site, I see no errors so far. Where is the error showing up? Do include that information when you post at the plugin’s forums.

    Avatar of yatong
    yatong
    Participant

    @yatong

    You are right. It was the BP Media Plugin. When I deleted it, I didn’t get this response again.

    Maybe you can help me. I want a media plugin for my BuddPress users to make photo albums.

    Can you suggest a compatible plugin for this version?

    BPress version is 1.6.4
    Wdpress versions is 3.5.1

    Thanks

    Avatar of @mercime
    @mercime
    Keymaster

    @mercime

    @yatong aside from BuddyPress Media, other plugins in the market which are compatible with BuddyPress are the free http://wordpress.org/extend/plugins/bp-album/ and also http://code.google.com/p/buddypress-media/ (not for production installs). There’s also the premium BP Gallery plugin http://buddydev.com/plugins/bp-gallery/ which works in current versions.

    Avatar of Saurabh Shukla
    Saurabh Shukla
    Participant

    @saurabhshukla

    Hi @yatong,

    Yes, this was a small bug in the code. Which is why it displayed a warning, in some versions of PHP.

    Due to this bug, all that happened was that the BuddyPress Media menu in the admin bar did not get displayed. We are in the process of adding an option to enable/disable this menu. That’s when the bug crept in.

    You don’t have to delete a plugin for that. We apologise if it caused you any inconvenience. We’ve released a fix for this just now (2.5.2).

    @mercime BP-Album has been out of production for a long time now and throws more warnings than any plugin I’ve seen in recent times.

    The second namesake BuddyPress Media’s team has removed the GitHub repos, removed the svn repo on code.google.com and generally been off the scene for a while. I have no idea and no news of why that is! We were looking forward to the launch and gearing up for some good old-fashioned competition.

    Regards.

    Avatar of yatong
    yatong
    Participant

    @yatong

    So can I reinstall the BP media plugin now?
    Thanks

    Avatar of @mercime
    @mercime
    Keymaster

    @mercime

    @yatong it means they’ve updated the plugin in WP repo to fix the issue. You should be receiving notice to upgrade the plugin in wp-admin soon, if not already.

Viewing 6 replies - 1 through 6 (of 6 total)

The forum ‘BP-Default’ is closed to new topics and replies.